%define upstream_name    Dist-Zilla-PluginBundle-TestingMania
%define upstream_version 0.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Test your dist with every testing plugin
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::MetaTests)
BuildRequires: perl(Dist::Zilla::Plugin::MojibakeTests) >= 0.200.0
BuildRequires: perl(Dist::Zilla::Plugin::NoTabsTests) >= 0.10.0
BuildRequires: perl(Dist::Zilla::Plugin::PodCoverageTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests)
BuildRequires: perl(Dist::Zilla::Plugin::Test::CPAN::Changes) >= 0.5.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::CPAN::Meta::JSON) >= 0.3.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile) >= 1.112.400
BuildRequires: perl(Dist::Zilla::Plugin::Test::DistManifest) >= 2.0.1
BuildRequires: perl(Dist::Zilla::Plugin::Test::EOL)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Kwalitee) >= 2.20.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::MinimumVersion) >= 2.0.1
BuildRequires: perl(Dist::Zilla::Plugin::Test::Perl::Critic) >= 2.112.410
BuildRequires: perl(Dist::Zilla::Plugin::Test::Pod::LinkCheck) >= 1.1.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::Portability) >= 2.0.1
BuildRequires: perl(Dist::Zilla::Plugin::Test::Synopsis) >= 2.0.1
BuildRequires: perl(Dist::Zilla::Plugin::Test::UnusedVars) >= 2.0.1
BuildRequires: perl(Dist::Zilla::Plugin::Test::Version) >= 0.1.2
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp)
BuildRequires: perl(JSON::PP) >= 2.271.30
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Pod::Coverage::TrustPod)
BuildRequires: perl(Test::CPAN::Meta)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Test::Version) >= 0.70.0
BuildRequires: perl(autodie)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)

BuildConflicts: cpanminus

BuildArch:  noarch

%description
This plugin bundle collects all the testing plugins for the Dist::Zilla
manpage which exist (and are not deprecated). This is for the most paranoid
people who want to test their dist seven ways to Sunday.

Simply add the following near the end of _dist.ini_:

    [@TestingMania]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.210.0-2.mga4
+ Revision: 538000
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 sander85 <sander85> 0.210.0-1.mga4
+ Revision: 488246
- update to 0.21

* Wed Aug 14 2013 sander85 <sander85> 0.200.0-1.mga4
+ Revision: 466365
- update to 0.20

* Fri Jun 07 2013 jquelin <jquelin> 0.190.0-1.mga4
+ Revision: 439224
- update to 0.19

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 366693
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.180.0-1.mga3
+ Revision: 286122
- update to 0.18

* Wed Jul 04 2012 jquelin <jquelin> 0.170.0-1.mga3
+ Revision: 267332
- update to 0.17

* Thu Dec 15 2011 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 181856
- update to 0.15

* Wed Sep 28 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 149861
- update to 0.14
- update to 0.012

* Wed Apr 13 2011 jquelin <jquelin> 0.7.0-1.mga1
+ Revision: 84338
- update to 0.007

* Thu Apr 07 2011 jquelin <jquelin> 0.6.0-1.mga1
+ Revision: 81758
- update to 0.006

* Tue Mar 15 2011 jquelin <jquelin> 0.4.0-1.mga1
+ Revision: 71705
- imported package perl-Dist-Zilla-PluginBundle-TestingMania


* Tue Mar 15 2011 cpan2dist 0.004-1mga
- initial mageia release, generated with cpan2dist
